Get site references for an asset
GET
/api/references/{configId}/{assetId}/sites
const url = 'https://example.com/api/references/example/example/sites';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/references/example/example/sites \ --header 'Authorization: Bearer <token>'Retrieves all sites that reference this content item
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”configId
required
Repository configuration ID
string
assetId
required
Asset ID
string
Responses
Section titled “Responses”Site references retrieved successfully
Media typeapplication/json
Array<object>
object
siteId
required
Site ID
string
siteName
required
Site name
string
sectionName
required
Section name within the site
string
sectionSlug
required
Section URL slug
string
path
Full ancestor-section path from the top level down to the containing section
Array<object>
object
name
required
Section name
string
slug
Section URL slug
string | null
pageName
Name of the page within the section
string | null
pageSlug
Slug of the page within the section
string | null
isRoot
Whether this page is the section’s root page (so it isn’t repeated in the breadcrumb)
boolean
packageName
Package name if applicable
string | null
Examplegenerated
[ { "siteId": "example", "siteName": "example", "sectionName": "example", "sectionSlug": "example", "path": [ { "name": "example", "slug": "example" } ], "pageName": "example", "pageSlug": "example", "isRoot": true, "packageName": "example" }]Item not found
Media typeapplication/json
object
error
required
Indicates an error occurred
boolean
message
required
Error message describing what went wrong
string
Example
{ "error": true, "message": "Item not found"}